-- private:
local minigameResolveFunction
local minigameViewName


-- public:

-- for designers:

-- use this function in OnSceneEnter
function SetMinigameResolver(resolveFunction_)
    minigameResolveFunction  = resolveFunction_
    print(s.sys_current_scene)
    minigameViewName         = s.sys_current_scene
end

-- for Kuba:
function ResolveCurrentMinigame()
    if minigameViewName == s.sys_current_scene and minigameResolveFunction then
        minigameResolveFunction()
    end 
end

function IsSomethingToResolve()
    return minigameViewName == s.sys_current_scene and minigameResolveFunction and s[minigameViewName.."_solved"] == 0
end

